Subject: bug#27794: closed (Re: bug#27794: efi vs bios grub detection)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Mar 2021 22:10:03 +0000

Your bug report

#27794: efi vs bios grub detection

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27794: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27794
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27794: efi vs bios grub detection
From: zimoun <[email-masked]>
To: buen ouanq <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Mar 2021 23:00:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Mon, 11 Jan 2021 at 14:01, zimoun <[email-masked]> wrote:
> On Fri, 18 Dec 2020 at 21:13, zimoun <[email-masked]> wrote:
>> On Sat, 22 Jul 2017 at 16:22, buen ouanq <[email-masked]> wrote:
>
>>> It was recommended in the IRC room that I send this email.  I
>>> struggled all yesterday failing to get GRUB (and thus GuixSD) to
>>> install in ways that I was positive had worked before.  Turns out the
>>> installation USB had booted UEFI rather than BIOS, so it refused to
>>> install what I understood to be the default (BIOS GRUB), even though I
>>> had done and partitioned everything correctly, and there were no
>>> meaningful hints as to why.  It would be nice if there was a little
>>> note about this in the install guide, something along the lines of,
>>> `EFI/BIOS detection for GRUB depends on how the installation image was
>>> booted.' (or whatever it actually does, I'm not sure really).
>>
>> This bug is very old and had been forgotten.  I do not think it is
>> relevant anymore.  If it is, could you provide moreinfo.  Otherwise, I
>> will close it after the usual 3 weeks delay.
>>
>> <http://issues.guix.gnu.org/issue/27794>
>
> If no moreinfo, I will close this bug in the coming days.

Since no moreinfo after a long a delay, closing!

All the best,
simon

Subject: efi vs bios grub detection
From: buen ouanq <[email-masked]>
To: [email-masked]
Date: Sat, 22 Jul 2017 16:22:23 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

It was recommended in the IRC room that I send this email.
I struggled all yesterday failing to get GRUB (and thus GuixSD) to install
in ways that I was positive had worked before.
Turns out the installation USB had booted UEFI rather than BIOS, so it
refused to install what I understood to be the default (BIOS GRUB), even
though I had done and partitioned everything correctly, and there were no
meaningful hints as to why.
It would be nice if there was a little note about this in the install
guide, something along the lines of, `EFI/BIOS detection for GRUB depends
on how the installation image was booted.' (or whatever it actually does,
I'm not sure really).

Thank you.